man(1)

NAME
PulseWaveSolver - models pressure-wave propagation in 1D vasculature

SYNOPSIS
PulseWaveSolver [ option(s) ] [ [ session.xml ] ... ]

DESCRIPTION
PulseWaveSolver solves 1D partial differential equations governing conservation of mass and momentum in a network of arteries using the spectral/hp element method. It is built on the Nektar++ high-order spectral/hp element framework.

  Further information
For further details and specific configuration options, please consult the Nektar++ user guide available from the website ⟨ www.nektar.info ⟩.

OPTIONS

  General Options

-h [ --help ]

-I [ --solverinfo ] arg
    Overrides a SOLVERINFO property in the XML input files.

-P [ --parameter ] arg
    Overrides a PARAMETER in the XML input files.

-v [ --verbose ]
    Displays additional diagnostic information during the solver execution.

-V [ --version ]
    Prints the version of the Nektar++.

  Parallelisation Options

--npx arg
    Specifies the number of processes in the x-direction.

--npy arg
    Specifies the number of processes in the y-direction.

--npz arg
    Specifies the number of processes in the z-direction.

--part-info
    Output partition information.

--part-only N
    Partitions the input mesh into N partitions and exits.

--part-only-overlapping N
    Partitions mesh into N overlapping partitions and exits.

--use-ptscotch
    Use PT-Scotch for parallel mesh partitioning.

--use-scotch
    Use Scotch for mesh partitioning.

EXAMPLE
To run the solver on a single input file which contains both the geometry and the solver parameter specifications
    PulseWaveSolver session.xml
It is often helpful to separate the geometry specification from the remaining solver parameters. In this case multiple .xml files may be provided
    PulseWaveSolver session.xml conditions.xml

BUGS
No known bugs.

AUTHOR
Chris Cantwell (c.cantwell@imperial.ac.uk)